﻿@page
@model ExternalLoginsModel
@{
    Layout = "_Layout.cshtml";
}
@{
    ViewData["Title"] = "Manage your external logins";
    ViewData["ActivePage"] = ManageNavPages.ExternalLogins;
}

<partial name="_StatusMessage" for="StatusMessage" />
@if (Model.CurrentLogins?.Count > 0)
{
    <h4>Registered Logins</h4>
    <table class="table">
        <tbody>
            @foreach (var login in Model.CurrentLogins)
            {
                <tr>
                    <td>@login.ProviderDisplayName</td>
                    <td>
                        @if (Model.ShowRemoveButton)
                        {
                            <form id="remove-login" asp-page-handler="RemoveLogin" method="post">
                                <div>
                                    <input asp-for="@login.LoginProvider" name="LoginProvider" type="hidden" />
                                    <input asp-for="@login.ProviderKey" name="ProviderKey" type="hidden" />
                                    <button type="submit" class="btn btn-primary" title="Remove this @login.ProviderDisplayName login from your account">Remove</button>
                                </div>
                            </form>
                        }
                        else
                        {
                            @: &nbsp;
                        }
                    </td>
                </tr>
            }
        </tbody>
    </table>
}
<form id="link-login-form" asp-page-handler="LinkLogin" method="post" class="form-horizontal">
    @if (!Model.CurrentLogins.Any(l => l.LoginProvider == "SAFA"))
    {
        <h4>Link your account to your SAFA login.</h4>
        <hr />
        <div id="safaLogin">
            <p>
                <button id="safa-login-button" type="submit" class="btn btn-primary" name="provider" value="SAFA" title="Log in using your SAFA account">SAFA</button>
            </p>
        </div>
    }
    @if (Model.OtherLogins?.Count > 0)
    {
        <h4>Add another service to log in.</h4>
        <hr />
        <div id="socialLoginList">
            <p>
                @foreach (var provider in Model.OtherLogins)
                {
                    <button id="link-login-button" type="submit" class="btn btn-primary" name="provider" value="@provider.Name" title="Log in using your @provider.DisplayName account">@provider.DisplayName</button>
                }
            </p>
        </div>
    }
</form>
